

layout(location = 0, index = 0) out vec4 outcol;

uniform sampler2D tex0;
uniform vec4 texelsiz;

in vec2 texcoord0_nm;

void main()
{
	vec2 uv = min( texcoord0_nm, texelsiz.xy );
	vec4 sample_col = texture( tex0, uv );
	outcol = sample_col;
}
